<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>pyxmpp.jabber.disco.DiscoItem</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="pyxmpp-module.html">Package&nbsp;pyxmpp</a> ::
        <a href="pyxmpp.jabber-module.html">Package&nbsp;jabber</a> ::
        <a href="pyxmpp.jabber.disco-module.html">Module&nbsp;disco</a> ::
        Class&nbsp;DiscoItem
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== CLASS DESCRIPTION ==================== -->
<h1 class="epydoc">Class DiscoItem</h1><p class="nomargin-top"><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem">source&nbsp;code</a></span></p>
<pre class="base-tree">
                        object --+    
                                 |    
<a href="pyxmpp.objects.StanzaPayloadWrapperObject-class.html">objects.StanzaPayloadWrapperObject</a> --+
                                     |
                                    <strong class="uidshort">DiscoItem</strong>
</pre>

<hr />
An item of disco#items reply.

<!-- ==================== INSTANCE METHODS ==================== -->
<a name="section-InstanceMethods"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Methods</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceMethods"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#__init__" class="summary-sig-name">__init__</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">disco</span>,
        <span class="summary-sig-arg">xmlnode_or_jid</span>,
        <span class="summary-sig-arg">node</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">name</span>=<span class="summary-sig-default">None</span>,
        <span class="summary-sig-arg">action</span>=<span class="summary-sig-default">None</span>)</span><br />
      Initialize an <a href="pyxmpp.jabber.disco.DiscoItem-class.html" class="link">DiscoItem</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.__init__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="__del__"></a><span class="summary-sig-name">__del__</span>(<span class="summary-sig-arg">self</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.__del__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#__str__" class="summary-sig-name">__str__</a>(<span class="summary-sig-arg">self</span>)</span><br />
      str(x)</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.__str__">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="remove"></a><span class="summary-sig-name">remove</span>(<span class="summary-sig-arg">self</span>)</span><br />
      Remove <code class="link">self</code> from the containing <a href="pyxmpp.jabber.disco.DiscoItems-class.html" class="link">DiscoItems</a> object.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.remove">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#get_name" class="summary-sig-name">get_name</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the name of the item.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.get_name">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#set_name" class="summary-sig-name">set_name</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>)</span><br />
      Set the name of the item.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.set_name">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#get_node" class="summary-sig-name">get_node</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the node of the item.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.get_node">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#set_node" class="summary-sig-name">set_node</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">node</span>)</span><br />
      Set the node of the item.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.set_node">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><code class="link">unicode</code></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#get_action" class="summary-sig-name">get_action</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the action attribute of the item.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.get_action">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#set_action" class="summary-sig-name">set_action</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">action</span>)</span><br />
      Set the action of the item.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.set_action">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type"><a href="pyxmpp.jid.JID-class.html" class="link">JID</a></span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#get_jid" class="summary-sig-name">get_jid</a>(<span class="summary-sig-arg">self</span>)</span><br />
      Get the JID of the item.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.get_jid">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#set_jid" class="summary-sig-name">set_jid</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">jid</span>)</span><br />
      Set the JID of the item.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.set_jid">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code><a href="pyxmpp.objects.StanzaPayloadWrapperObject-class.html">objects.StanzaPayloadWrapperObject</a></code></b>:
      <code><a href="pyxmpp.objects.StanzaPayloadWrapperObject-class.html#as_xml">as_xml</a></code>
      </p>
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__delattr__</code>,
      <code>__format__</code>,
      <code>__getattribute__</code>,
      <code>__hash__</code>,
      <code>__new__</code>,
      <code>__reduce__</code>,
      <code>__reduce_ex__</code>,
      <code>__repr__</code>,
      <code>__setattr__</code>,
      <code>__sizeof__</code>,
      <code>__subclasshook__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== INSTANCE VARIABLES ==================== -->
<a name="section-InstanceVariables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.disco.DiscoItem-class.html#name" class="summary-name">name</a><br />
      : name of the item.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.disco.DiscoItem-class.html#node" class="summary-name">node</a><br />
      : node name of the item.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">unicode</code></span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.disco.DiscoItem-class.html#action" class="summary-name">action</a><br />
      : action of the item.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a></span>
    </td><td class="summary">
        <a href="pyxmpp.jabber.disco.DiscoItem-class.html#jid" class="summary-name">jid</a><br />
      : the JID of the item.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <a href="pyxmpp.jabber.disco.DiscoItems-class.html" class="link">DiscoItems</a></span>
    </td><td class="summary">
        <a name="disco"></a><span class="summary-name">disco</span><br />
      : the disco reply this is the part of.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">: <code class="link">libxml2.xmlNode</code></span>
    </td><td class="summary">
        <a name="xmlnode"></a><span class="summary-name">xmlnode</span><br />
      : XML node of the object.
    </td>
  </tr>
</table>
<!-- ==================== PROPERTIES ==================== -->
<a name="section-Properties"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Properties</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Properties"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr>
    <td colspan="2" class="summary">
    <p class="indent-wrapped-lines"><b>Inherited from <code>object</code></b>:
      <code>__class__</code>
      </p>
    </td>
  </tr>
</table>
<!-- ==================== METHOD DETAILS ==================== -->
<a name="section-MethodDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Method Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-MethodDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="__init__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__init__</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">disco</span>,
        <span class="sig-arg">xmlnode_or_jid</span>,
        <span class="sig-arg">node</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">name</span>=<span class="sig-default">None</span>,
        <span class="sig-arg">action</span>=<span class="sig-default">None</span>)</span>
    <br /><em class="fname">(Constructor)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.__init__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Initialize an <a href="pyxmpp.jabber.disco.DiscoItem-class.html" class="link">DiscoItem</a> object.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>disco</code></strong> (: <a href="pyxmpp.jabber.disco.DiscoItems-class.html" class="link">DiscoItems</a>) - : the disco#items reply <code class="link">self</code> is a part of.</li>
        <li><strong class="pname"><code>xmlnode_or_jid</code></strong> (: <code class="link">libxml2.xmlNode</code> or <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : XML element describing the item or the JID of
the item.</li>
        <li><strong class="pname"><code>node</code></strong> (: <code class="link">unicode</code>) - : disco node of the item.</li>
        <li><strong class="pname"><code>name</code></strong> (: <code class="link">unicode</code>) - : name of the item.</li>
        <li><strong class="pname"><code>action</code></strong> (: <code class="link">unicode</code>) - : 'action' attribute of the item.</li>
    </ul></dd>
    <dt>Overrides:
        object.__init__
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="__str__"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">__str__</span>(<span class="sig-arg">self</span>)</span>
    <br /><em class="fname">(Informal representation operator)</em>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.__str__">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  <p>str(x)</p>
  <dl class="fields">
    <dt>Overrides:
        object.__str__
        <dd><em class="note">(inherited documentation)</em></dd>
    </dt>
  </dl>
</td></tr></table>
</div>
<a name="get_name"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_name</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.get_name">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the name of the item.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>the name of the item or <code class="link">None</code>.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_name"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_name</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">name</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.set_name">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set the name of the item.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>name</code></strong> (: <code class="link">unicode</code>) - : the new name or <code class="link">None</code>.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_node"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_node</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.get_node">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the node of the item.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>the node of the item or <code class="link">None</code>.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_node"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_node</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">node</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.set_node">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set the node of the item.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>node</code></strong> (: <code class="link">unicode</code>) - : the new node or <code class="link">None</code>.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_action"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_action</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.get_action">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the action attribute of the item.
  <dl class="fields">
    <dt>Returns: <code class="link">unicode</code></dt>
        <dd>the action of the item or <code class="link">None</code>.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_action"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_action</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">action</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.set_action">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set the action of the item.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>action</code></strong> (: <code class="link">unicode</code>) - : the new action or <code class="link">None</code>.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<a name="get_jid"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">get_jid</span>(<span class="sig-arg">self</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.get_jid">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Get the JID of the item.
  <dl class="fields">
    <dt>Returns: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a></dt>
        <dd>the JID of the item.</dd>
  </dl>
</td></tr></table>
</div>
<a name="set_jid"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">set_jid</span>(<span class="sig-arg">self</span>,
        <span class="sig-arg">jid</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="pyxmpp.jabber.disco-pysrc.html#DiscoItem.set_jid">source&nbsp;code</a></span>&nbsp;
    </td>
  </tr></table>
  
  Set the JID of the item.
  <dl class="fields">
    <dt>Parameters:</dt>
    <dd><ul class="nomargin-top">
        <li><strong class="pname"><code>jid</code></strong> (: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a>) - : the new jid.</li>
    </ul></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== INSTANCE VARIABLE DETAILS ==================== -->
<a name="section-InstanceVariableDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Instance Variable Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-InstanceVariableDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="name"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">name</h3>
  : name of the item.
  <dl class="fields">
    <dt>Get Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#get_name" class="summary-sig-name">get_name</a>(<span class="summary-sig-arg">self</span>)</span>
        - Get the name of the item.
    </dd>
    <dt>Set Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#set_name" class="summary-sig-name">set_name</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">name</span>)</span>
        - Set the name of the item.
    </dd>
    <dt>Type:</dt>
      <dd>: <code class="link">unicode</code></dd>
  </dl>
</td></tr></table>
</div>
<a name="node"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">node</h3>
  : node name of the item.
  <dl class="fields">
    <dt>Get Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#get_node" class="summary-sig-name">get_node</a>(<span class="summary-sig-arg">self</span>)</span>
        - Get the node of the item.
    </dd>
    <dt>Set Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#set_node" class="summary-sig-name">set_node</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">node</span>)</span>
        - Set the node of the item.
    </dd>
    <dt>Type:</dt>
      <dd>: <code class="link">unicode</code></dd>
  </dl>
</td></tr></table>
</div>
<a name="action"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">action</h3>
  : action of the item.
  <dl class="fields">
    <dt>Get Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#get_action" class="summary-sig-name">get_action</a>(<span class="summary-sig-arg">self</span>)</span>
        - Get the action attribute of the item.
    </dd>
    <dt>Set Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#set_action" class="summary-sig-name">set_action</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">action</span>)</span>
        - Set the action of the item.
    </dd>
    <dt>Type:</dt>
      <dd>: <code class="link">unicode</code></dd>
  </dl>
</td></tr></table>
</div>
<a name="jid"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">jid</h3>
  : the JID of the item.
  <dl class="fields">
    <dt>Get Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#get_jid" class="summary-sig-name">get_jid</a>(<span class="summary-sig-arg">self</span>)</span>
        - Get the JID of the item.
    </dd>
    <dt>Set Method:</dt>
    <dd class="value"><span class="summary-sig"><a href="pyxmpp.jabber.disco.DiscoItem-class.html#set_jid" class="summary-sig-name">set_jid</a>(<span class="summary-sig-arg">self</span>,
        <span class="summary-sig-arg">jid</span>)</span>
        - Set the JID of the item.
    </dd>
    <dt>Type:</dt>
      <dd>: <a href="pyxmpp.jid.JID-class.html" class="link">JID</a></dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="pyxmpp-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            ><a class="navbar" target="_top" href="http://pyxmpp.jajcus.net/">PyXMPP</a></th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0.1 on Sun May  8 13:35:01 2011
    </td>
    <td align="right" class="footer">
      <a target="mainFrame" href="http://epydoc.sourceforge.net"
        >http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
